Gecode::Gist::Logos Class Reference

Class holding Gecode and Gist logo icons. More...

`#include <gecodelogo.hh>`

## Public Member Functions

| Logos (void)
| Constructor.

## Public Attributes

const unsigned char * | logo
| The Gecode logo.
const unsigned int | logoSize
| Size of the Gecode logo.
const unsigned char * | gistLogo
| A smaller logo used as a window icon.
const unsigned int | gistLogoSize
| Size of the smaller logo.

## Detailed Description

Class holding Gecode and Gist logo icons.

Definition at line 40 of file gecodelogo.hh.

## Constructor & Destructor Documentation

## Logos()

Gecode::Gist::Logos::Logos | ( | void |  | ) |

Constructor.

Definition at line 664 of file gecodelogo.cpp.

## Member Data Documentation

## logo

const unsigned char* Gecode::Gist::Logos::logo

The Gecode logo.

Definition at line 43 of file gecodelogo.hh.

## logoSize

const unsigned int Gecode::Gist::Logos::logoSize

Size of the Gecode logo.

Definition at line 45 of file gecodelogo.hh.

## gistLogo

const unsigned char* Gecode::Gist::Logos::gistLogo

A smaller logo used as a window icon.

Definition at line 48 of file gecodelogo.hh.

## gistLogoSize

const unsigned int Gecode::Gist::Logos::gistLogoSize

Size of the smaller logo.

Definition at line 50 of file gecodelogo.hh.

The documentation for this class was generated from the following files:

- gecode/gist/gecodelogo.hh
- gecode/gist/gecodelogo.cpp